#!/usr/bin/env python
import os
import sys
from django.conf import settings

from rad.logging_setup import configure_loguru


if __name__ == "__main__":
    os.environ.setdefault("DJANGO_SETTINGS_MODULE", "rad.settings")
    configure_loguru()

    # Set up debugger if we are running in a container
    if os.environ.get('RUN_MAIN'):
        if settings.DEBUG_CONTAINER:
            import debugpy
            debugpy.listen(("0.0.0.0", 3459))

    try:
        from django.core.management import execute_from_command_line
    except ImportError:
        # The above import may fail for some other reason. Ensure that the
        # issue is really that Django is missing to avoid masking other
        # exceptions on Python 2.
        try:
            import django
        except ImportError:
            raise ImportError(
                "Couldn't import Django. Are you sure it's installed and "
                "available on your PYTHONPATH environment variable? Did you "
                "forget to activate a virtual environment?"
            )
        raise
    execute_from_command_line(sys.argv)
